> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cativa.digital/llms.txt
> Use this file to discover all available pages before exploring further.

# [Autenticado] Reagir a um comentário (alternar)



## OpenAPI

````yaml /openapi/tenant.pt-BR.json post /api/v2/community/comments/{commentId}/reactions
openapi: 3.0.1
info:
  title: Cativa Tenant API (public)
  version: public
servers:
  - url: https://apis.cativalab.digital/tenant
security: []
paths:
  /api/v2/community/comments/{commentId}/reactions:
    post:
      tags:
        - Reações
      summary: '[Autenticado] Reagir a um comentário (alternar)'
      operationId: ReactToComment
      parameters:
        - name: commentId
          in: path
          required: true
          schema:
            type: string
            format: uuid
      requestBody:
        content:
          application/json:
            schema:
              $ref: >-
                #/components/schemas/Cativa.Community.Post.Application.Requests.Authenticated.ReactToComment.ReactToCommentEndpointBody
        required: true
      responses:
        '200':
          description: OK
      security:
        - Bearer: []
components:
  schemas:
    Cativa.Community.Post.Application.Requests.Authenticated.ReactToComment.ReactToCommentEndpointBody:
      type: object
      properties:
        type:
          $ref: >-
            #/components/schemas/Cativa.Community.Post.Domain.Enums.EReactionType
      additionalProperties: false
    Cativa.Community.Post.Domain.Enums.EReactionType:
      enum:
        - 0
        - 1
      type: integer
      format: int32
  securitySchemes:
    Bearer:
      type: http
      description: >-
        Partner API key (cativa_...) or a JWT, sent as: Authorization: Bearer
        <token>.
      scheme: bearer
      bearerFormat: JWT

````